com.ibm.openpages.api.application

## Class MoveObjectOptions

- java.lang.Object
- - com.ibm.openpages.api.application.MoveObjectOptions

-     public class MoveObjectOptions
      extends java.lang.Object

  Allows you to configure options in `IApplicationService.moveGRCObject(com.ibm.openpages.api.metadata.Id, List, MoveObjectOptions)` operations. You can specify an explicit list of child Object Types to be moved. You can also define the actions to take when a naming conflict occurs as a result of a move.
  See Also:
    `IApplicationService#moveGRCObject(com.ibm.openpages.api.resource.IGRCObject, List, MoveObjectOptions)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoveObjectOptions()` Creates the MoveObjectOptions with default settings.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildrenType(ITypeDefinition objectType)` Adds a single Object Type to the explicit list of Object Types to include in the moveGRCObject operation.
    `java.util.List<ITypeDefinition>` | `getChildrenTypesToMove()`
    `MoveConflictBehavior` | `getConflictBehavior()`
    `static MoveObjectOptions` | `getDefaultOptions()` Constructs a new instance of MoveObjectOptions with default parameters.
    `boolean` | `isChildrenTypesDefined()`
    `void` | `setChildrenTypesToMove(java.util.List<ITypeDefinition> childrenTypesToMove)` Explicit list of Object Types to include in the moveGRCObject operation.
    `void` | `setConflictBehavior(MoveConflictBehavior conflictBehavior)` Specifies the behavior for a move operation when a GRCObject with the same name already exists at the location.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MoveObjectOptions

          public MoveObjectOptions()

      Creates the MoveObjectOptions with default settings.
      - The children types are not explicitly defined and all primary children are moved.
      - If conflicts exist, an error is returned.

  - ### Method Detail

    - #### getChildrenTypesToMove

          public java.util.List<ITypeDefinition> getChildrenTypesToMove()

      Returns:
        the inclusive list of Object Types to include in the moveGRCObject operation

    - #### setChildrenTypesToMove

          public void setChildrenTypesToMove(java.util.List<ITypeDefinition> childrenTypesToMove)

      Explicit list of Object Types to include in the moveGRCObject operation. If specified, only the primary children whose type matches those in the specified list will be moved along to the target parent location.

      If not specified, then all primary children will be moved.

      Parameters:
        `childrenTypesToMove` - (required) the complete list to set. If null, then explicit ContentTypes are not included. Move defaults to all.

    - #### isChildrenTypesDefined

          public boolean isChildrenTypesDefined()

      Returns:
        whether the children types to move have been explicitly specified by the list

    - #### addChildrenType

          public void addChildrenType(ITypeDefinition objectType)

      Adds a single Object Type to the explicit list of Object Types to include in the moveGRCObject operation.

      Parameters:
        `objectType` - (required) object type to add in the moveGRCObject operation

    - #### getConflictBehavior

          public MoveConflictBehavior getConflictBehavior()

      Returns:
        the conflictBehavior

    - #### setConflictBehavior

          public void setConflictBehavior(MoveConflictBehavior conflictBehavior)

      Specifies the behavior for a move operation when a GRCObject with the same name already exists at the location.

      Possible options include:

      1. ERROR (default) - throws exception.
      2. OVERWRITE - overwrites GRCObject at the destination with one being moved.
      3. USEEXISTING - keeps the GRCObject at the destination. The object being moved will be removed.
      Parameters:
        `conflictBehavior` - (required) the conflictBehavior to set
      See Also:
        `MoveConflictBehavior.`

    - #### getDefaultOptions

          public static MoveObjectOptions getDefaultOptions()

      Constructs a new instance of MoveObjectOptions with default parameters.
      Returns:
        a default instance of MoveObjectOptions

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.